import { get } from '@/common/utils/http-util.ts'

export default {
  list(tableName: string, keywords?: string) {
    return get<ResourceTypes.SearchResourceResult[]>('/resource/list', {keywords, tableName})
  },
  listRoleRes(roleId: string, tableName: string) {
    return get<ResourceTypes.SearchResourceResult[]>('/resource/list_role_res', {roleId, tableName})
  },
}
